namespace SafeCampus.System;
[SugarTable("MajorInfo", TableDescription = "专业信息表")]
[Tenant(SqlSugarConst.DB_DEFAULT)]
[BatchEdit]
[CodeGen]
//[IgnoreInitTable]
public class MajorInfo : PrimaryKeyEntity
{
    /// <summary>
    /// 专业名称
    /// </summary>
    [SugarColumn(ColumnName = "Name", ColumnDescription = "专业名称", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string Name { get; set; }
    /// <summary>
    /// 专业编码
    /// </summary>
    [SugarColumn(ColumnName = "Code", ColumnDescription = "专业编码", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = false)]
    public string Code { get; set; }
    /// <summary>
    /// 专业简介
    /// </summary>
    [SugarColumn(ColumnName = "Introduce", ColumnDescription = "专业简介", ColumnDataType = StaticConfig.CodeFirst_BigString, IsNullable = true)]
    public string Introduce { get; set; }
    /// <summary>
    /// 院系id
    /// </summary>
    [SugarColumn(ColumnName = "DepId", ColumnDescription = "院系id",IsNullable = false)]
    public long DepId { get; set; }
    /// <summary>
    /// 排序
    /// </summary>
    [SugarColumn(ColumnName = "Sort", ColumnDescription = "排序", IsNullable = false)]
    public int Sort { get; set; }
    /// <summary>
    /// 院系信息
    /// </summary>
    [Navigate(NavigateType.OneToOne,  nameof(DepId))]
    public DepartmentInfo DepartmentInfoItem { get; set; }
}